using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace TakeoutSaaS.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class AddStoreDeliveryRadiusCenter : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<decimal>(
                name: "RadiusCenterLatitude",
                table: "store_delivery_settings",
                type: "numeric(10,7)",
                precision: 10,
                scale: 7,
                nullable: true,
                comment: "半径配送中心点纬度。");

            migrationBuilder.AddColumn<decimal>(
                name: "RadiusCenterLongitude",
                table: "store_delivery_settings",
                type: "numeric(10,7)",
                precision: 10,
                scale: 7,
                nullable: true,
                comment: "半径配送中心点经度。");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "RadiusCenterLatitude",
                table: "store_delivery_settings");

            migrationBuilder.DropColumn(
                name: "RadiusCenterLongitude",
                table: "store_delivery_settings");
        }
    }
}
